Subject: Re: Corrected patch to cygwin.dll + ncurses for termcaps
From: [email-masked] ("Bruce D. McLeod")

28 Mar 1997 16:55:32 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: "Mikey" <[email-masked]>, "Sheik" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
Original-Sender: [email-masked]

I compiled and installed cygwin.dll and ncurses with this patch,
but I get: Error opening terminal: w32ansi
when I run any of the test programs.  It accepts a TERM of ansi,
but the screen output is wrong.  Is w32ansi correct, and if so,
why might I be getting this error?  Thanks.

Bruce

At 01:35 AM 3/5/97 -0700, Mikey wrote:
>Sorry, :^(.  I was playing around trying to get rcs to work, and I guess I
>left the changes at the begining of the files in when I made the diffs. You
>can either just delete the *.rej files, or I have included the corrected
>diffs here.
>
>----------
>> From: Sheik <[email-masked]>
>> To: Mikey <[email-masked]>
>> Cc: cygnus <[email-masked]>
>> Subject: Re: patch to cygwin.dll + ncurses for termcaps
>> Date: Tuesday, March 04, 1997 9:47 PM
>> 
>> 
>> 
>> On Tue, 4 Mar 1997, Mikey wrote:
>> 
>> > Scott
>> > 	I don't recall if I put it in my orig post or not, but all of my
>> > filesystems are mounted -b, so the patches are LF only. When you use
>> > patch.exe the filesystem, file, and patch-file should all be in sync,
>(the
>> > file, and patch-file must be).
>> > 
>>    ug, I don't want to sound dense, but I don't think the patch itself is
>
>> right, at least to the current source... for instance in your patch 
>> called termcaps.dif, here is the cut of the first few lines....
>> 
>> diff -urbBN ../winsup.orig/Makefile.in ./Makefile.in
>> --- ../winsup.orig/Makefile.in  Tue Feb 25 13:02:27 1997
>> +++ ./Makefile.in       Sat Feb 01 18:14:57 1997
>> @@ -1,4 +1,4 @@
>> -# Makefile.in for the winsup directory. #
>> +# Makefile.in for the winsup directory.
>>  # Copyright (c) 1995, 1996 Cygnus Solutions
>> 
>> so I look at the current Makefile.in in the newest source, and here is 
>> the first few lines.....
>> 
>> # Makefile.in for the winsup directory.
>> # Copyright (c) 1995, 1996 Cygnus Solutions
>> 
>> 
>> Notice, the first line DOESN'T have the "#" char at the end of the line.,
>
>> but your patch expects it to be there. The entire patch file you sent 
>> have these probs, so I thought maybe you based the patches on an older 
>> source tarball...
>> 
>> Thanks again,
>> Scott KilauContent-Type: application/octet-stream; name="termcaps.dif"

>Content-Description: termcaps.dif (DIF File)
>Content-Disposition: attachment; filename="termcaps.dif"
>
>Attachment Converted: c:\eudora\attach\termcaps1.dif
>Content-Type: application/octet-stream; name="terminfo.dif"
>Content-Transfer-Encoding: 7bit
>Content-Description: terminfo.dif (DIF File)
>Content-Disposition: attachment; filename="terminfo.dif"
>
>Attachment Converted: c:\eudora\attach\terminfo1.dif
>Content-Type: application/octet-stream; name="bash_less.dif"

>Content-Description: bash_less.dif (DIF File)
>Content-Disposition: attachment; filename="bash_less.dif"
>
>Attachment Converted: c:\eudora\attach\bash_less1.dif
>

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".